# eric6.Helpviewer.SpeedDial.SpeedDialWriter

Module implementing a class to write speed dial data files.

### Global Attributes

None

### Classes

SpeedDialWriter | Class implementing a writer object to generate speed dial data files.

### Functions

None

## SpeedDialWriter

Class implementing a writer object to generate speed dial data files.

### Derived from

QXmlStreamWriter

### Class Attributes

None

### Class Methods

None

### Methods

SpeedDialWriter | Constructor
__write | Private method to write a speed dial file.
write | Public method to write a speed dial data file.

### Static Methods

None

#### SpeedDialWriter (Constructor)

SpeedDialWriter()

Constructor

#### SpeedDialWriter.__write

__write(pages, pagesPerRow, speedDialSize)

Private method to write a speed dial file.

pages
  list of speed dial pages (list of Page)
pagesPerRow
  number of pages per row (integer)
speedDialSize
  size of the speed dial pages (integer)

Returns:
  flag indicating success (boolean)

#### SpeedDialWriter.write

write(fileNameOrDevice, pages, pagesPerRow, speedDialSize)

Public method to write a speed dial data file.

fileNameOrDevice
  name of the file to write (string) or device to write to (QIODevice)
pages
  list of speed dial pages (list of Page)
pagesPerRow
  number of pages per row (integer)
speedDialSize
  size of the speed dial pages (integer)

Returns:
  flag indicating success (boolean)

Up